Name:	 qt5-qtstyleplugins
Summary: Classic Qt widget styles
Version: 5.0.0
Release: 4%{?dist}

License: LGPLv2 or GPLv2
URL:	 https://github.com/qtproject/qtstyleplugins
Source0: http://download.qt.io/community_releases/additional_qt_src_pkgs/qtstyleplugins-src-%{version}.tar.gz

## upstream
# there are a few more upstream commits after v5.0.0 tag, but these
# are the only important ones for now
Patch1: 0001-Cleanlooks-style-Fix-floating-point-exception.patch
Patch2: 0002-Sync-QStyleHelper-code-with-the-latest-code-in-qtbas.patch


BuildRequires: qt5-qtbase-devel

%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}


%description
%{summary}, including cleanlooks, motif, plastique.


%prep
%autosetup -n qtstyleplugins-src-%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{qmake_qt5} ..
make %{?_smp_mflags}
popd


%install
make install INSTALL_ROOT=%{buildroot} -C %{_target_platform}

## unpackaged files
# these look wrong, overwrite each other, omit for now
rm -fv %{buildroot}%{_libdir}/cmake/Qt5Widgets/Qt5Widgets_.cmake


%files
%{_qt5_plugindir}/styles/libqcleanlooksstyle.so
%{_qt5_plugindir}/styles/libqmotifstyle.so
%{_qt5_plugindir}/styles/libqplastiquestyle.so


%changelog
* Sat Apr 16 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.0.0-4
- rebuild (qt 5.6)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 14 2015 Rex Dieter <rdieter@fedoraproject.org> 5.0.0-2
- pull in some post v5.0.0 fixes (one crashfix)

* Mon Dec 14 2015 Rex Dieter <rdieter@fedoraproject.org> 5.0.0-1
- first try


